<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Autofit, autofill y minmax</title>
    <style>
        .contenedor{
            width: 90%;
            max-width: 1000px;
            border:10px solid black;
            margin: auto;
            font-size: 50px;
            text-align: center;
            display:grid;
            grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
            gap:5px;
        }
        .contenedor > div{
            padding: 20px;
            color: white;
            background: #2f89fc;
            box-shadow: 2px 2px 10px rgba(0,0,0,.25);
        }

    </style>

</head>
<body>
    <div class="contenedor">
        <div>1</div>
        <div>2</div>
        <div>3</div>
        <div>4</div>
    </div>
</body>
</html>